import type { RouteRecordRaw } from 'vue-router'
import AppLayout from '@/components/layout/Index.vue'

export const routes: Array<RouteRecordRaw> = [
  {
    path: '/base/project',
    component: AppLayout,
    children: [
      { path: '', component: () => import('./views/Index.vue') },
      { path: 'create', component: () => import('./views/Update.vue'), props: { isAdd: true } },
      { path: 'update/:id', component: () => import('./views/Update.vue'), props: { isUpdate: true } },
      { path: 'view/:id', component: () => import('./views/Update.vue'), props: { isView: true } }
    ]
  }
]
